BlurEffect={}

BlurEffect.VS_GL=[[
attribute highp vec3 vVertex;
uniform highp mat4 vMatrix;
attribute mediump vec2 vTexCoord;
varying mediump vec2 fTexCoord;

void main() {
  vec4 vertex = vec4(vVertex,1.0);
  gl_Position = vMatrix*vertex;
  fTexCoord = vTexCoord;
}
]]

BlurEffect.FS_GL=[[
#ifdef GL_ES
  precision mediump float;
#endif

uniform lowp vec4 fColor;
uniform lowp vec2 sPoint;
uniform mediump vec4 fTexSize;
uniform lowp sampler2D fTexture;
varying mediump vec2 fTexCoord;

void main()
{
	vec2 coord = fTexCoord.xy;
	
	vec4 solidRed = vec4(0,0,0,0.2);
    
	if (fTexCoord.x > 0.5) {
		solidRed.r = 0.5;
	}
	
    gl_FragColor = solidRed;
}
]]

BlurEffect.Shader=Shader.new(BlurEffect.VS_GL,BlurEffect.FS_GL,Shader.FLAG_FROM_CODE, {
	{name="vMatrix",type=Shader.CMATRIX,sys=Shader.SYS_WVP,vertex=true},
	{name="fTexture",type=Shader.CTEXTURE,vertex=false},
	{name="fTexSize",type=Shader.CFLOAT4,sys=Shader.SYS_TEXTUREINFO,vertex=false},
	{name="sPoint",type=Shader.CINT,vertex=false},
},
{
	{name="vVertex",type=Shader.DFLOAT,mult=3,slot=0,offset=0},
	{name="vColor",type=Shader.DUBYTE,mult=4,slot=1,offset=0},
	{name="vTexCoord",type=Shader.DFLOAT,mult=2,slot=2,offset=0},
});

local bg = Bitmap.new(Texture.new("logo.jpg", true))
bg:setAnchorPoint(0.5, 0.5)
bg:setPosition(960 / 2, 540 / 2)
bg:setShader(BlurEffect.Shader)
stage:addChild(bg)
